<div class="card bg-dark text-white">
  <div class="card-header">
    {{titulo}}
  </div>
  <div class="card-body">
    <form>
      <div class="form-group row">
        <label for="nombre" class="col-form-label col-sm-2">Nombre</label>
        <div class="col-sm-6">
          <input id="my-input" class="form-control" [(ngModel)]="cliente.nombre" name="nombre" type="text">
        </div>
      </div>
      <div class="form-group row">
        <label for="apellido" class="col-form-label col-sm-2">Apellido</label>
        <div class="col-sm-6">
          <input id="my-input" class="form-control" [(ngModel)]="cliente.apellido" name="apellido" type="text">
        </div>
      </div>
      <div class="form-group row">
        <label for="email" class="col-form-label col-sm-2">Email</label>
        <div class="col-sm-6">
          <input id="my-input" class="form-control" [(ngModel)]="cliente.email" name="email" type="text">
        </div>
      </div>
      <div class="form-group row">
        <div class="col-sm-2">
          <button class="btn btn-primary" role="button" (click)='create()'
            *ngIf="!cliente.id else elseBlock">Crear</button>
          <ng-template #elseBlock>
            <button class="btn btn-primary" role="button" (click)='update()'>
              Actualizar
            </button>
          </ng-template>
        </div>
        <div>
          <button class="btn btn-outline-warning" role="button" [routerLink]="['/clientes']"
            routerLinkActive="router-link-active">Cancelar</button>
        </div>
      </div>
    </form>

  </div>
</div>